### Method

# Foundry CompletionRequest dup_language_id

#### Declaration [src]

    char*
    foundry_completion_request_dup_language_id (
      FoundryCompletionRequest* self
    )

#### Description [src]

Gets the language identifier for the completion request, such as “c” or “js”.

The language identifiers are expected to match GtkSourceView language identifiers.

#### Return value

Type: `char*`

The language identifier or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.